=== modified file 'NEWS'
--- NEWS	2011-12-20 16:47:38 +0000
+++ NEWS	2012-03-01 21:29:00 +0000
@@ -5,6 +5,9 @@
   * Fix compatibility with newer versions of gir-gtk which don't allow
     None in STRING columns of ListStores. (Jelmer Vernooij)
 
+  * Properly handle popup menus when there is no selected revision in
+    "bzr viz". (Jelmer Vernooij, #281717)
+
 0.103.0	2011-12-11
 
  FEATURES

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2011-10-30 08:33:37 +0000
+++ branchview/treeview.py	2012-03-01 21:29:00 +0000
@@ -454,9 +454,11 @@
     def _on_revision_selected(self, widget, event):
         from bzrlib.plugins.gtk.revisionmenu import RevisionMenu
         if event.button == 3:
-            menu = RevisionMenu(self.branch.repository, 
-                [self.get_revision().revision_id],
-                self.branch)
+            revs = []
+            rev = self.get_revision()
+            if rev is not None:
+                revs.append(rev.revision_id)
+            menu = RevisionMenu(self.branch.repository, revs, self.branch)
             menu.connect('tag-added', lambda w, t, r: self.add_tag(t, r))
             menu.popup(None, None, None, None, event.button, event.get_time())
 

=== modified file 'commit.py'
--- commit.py	2012-02-17 15:03:17 +0000
+++ commit.py	2012-02-29 14:04:24 +0000
@@ -288,7 +288,12 @@
             self._check_local.hide()
             return
         if have_dbus:
-            bus = dbus.SystemBus()
+            try:
+                bus = dbus.SystemBus()
+            except dbus.DBusException:
+                trace.mutter("DBus system bus not available")
+                self._check_local.show()
+                return
             try:
                 proxy_obj = bus.get_object('org.freedesktop.NetworkManager',
                                            '/org/freedesktop/NetworkManager')

=== modified file 'po/da.po'
--- po/da.po	2011-12-02 05:55:20 +0000
+++ po/da.po	2012-03-02 04:30:32 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: bzr-gtk\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2011-12-01 11:46+0100\n"
-"PO-Revision-Date: 2011-11-30 22:59+0000\n"
-"Last-Translator: Launchpad Translations Administrators <Unknown>\n"
+"POT-Creation-Date: 2011-03-06 02:19+0100\n"
+"PO-Revision-Date: 2012-03-01 17:12+0000\n"
+"Last-Translator: nanker <Unknown>\n"
 "Language-Team: Danish <da@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2011-12-02 05:54+0000\n"
-"X-Generator: Launchpad (build 14414)\n"
+"X-Launchpad-Export-Date: 2012-03-02 04:30+0000\n"
+"X-Generator: Launchpad (build 14886)\n"
 
 #: ../bazaar-properties.desktop.in.h:1
 msgid "Bazaar Preferences"
@@ -31,7 +31,7 @@
 
 #: ../bzr-handle-patch.desktop.in.h:2
 msgid "Bazaar"
-msgstr ""
+msgstr "Bazaar"
 
 #: ../bzr-notify.desktop.in.h:1
 msgid "Bazaar Notification"
@@ -60,11 +60,11 @@
 
 #: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
-msgstr ""
+msgstr "Revision:"
 
 #: ../branch.py:54 ../checkout.py:47
 msgid "Please select a folder"
-msgstr ""
+msgstr "Vælg venligst en mappe"
 
 #: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
@@ -106,7 +106,7 @@
 
 #: ../commands.py:306
 msgid "Operation aborted."
-msgstr ""
+msgstr "Operation afbrudt."
 
 #: ../commands.py:410
 msgid "There are local changes in the branch"
@@ -122,19 +122,19 @@
 
 #: ../commit.py:179
 msgid "removed"
-msgstr ""
+msgstr "fjernet"
 
 #: ../commit.py:180
 msgid "renamed"
-msgstr ""
+msgstr "omdøbt"
 
 #: ../commit.py:181
 msgid "renamed and modified"
-msgstr ""
+msgstr "omdøbt og ændret"
 
 #: ../commit.py:182
 msgid "modified"
-msgstr ""
+msgstr "ændret"
 
 #: ../commit.py:183
 msgid "kind changed"
@@ -178,7 +178,7 @@
 
 #: ../commit.py:443 ../conflicts.py:107
 msgid "Path"
-msgstr ""
+msgstr "Sti"
 
 #: ../commit.py:445 ../conflicts.py:109
 msgid "Type"
@@ -194,7 +194,7 @@
 
 #: ../commit.py:503
 msgid "Date"
-msgstr ""
+msgstr "Dato"
 
 #: ../commit.py:505
 msgid "Committer"
@@ -202,7 +202,7 @@
 
 #: ../commit.py:507 ../search.py:60
 msgid "Summary"
-msgstr ""
+msgstr "Oversigt"
 
 #. TODO: jam 2007-10-30 The diff label is currently disabled. If we
 #. decide that we really don't ever want to display it, we should
@@ -272,7 +272,7 @@
 
 #: ../conflicts.py:97
 msgid "Conflicts"
-msgstr ""
+msgstr "Konflikter"
 
 #: ../conflicts.py:100
 msgid "No conflicts in working tree."
@@ -316,7 +316,7 @@
 
 #: ../conflicts.py:132
 msgid "unknown type of conflict"
-msgstr ""
+msgstr "ukendt type af konflikt"
 
 #: ../conflicts.py:161
 msgid "No file was selected"
@@ -324,7 +324,7 @@
 
 #: ../conflicts.py:162
 msgid "Please select a file from the list."
-msgstr ""
+msgstr "Vælg venligst en fil fra listen."
 
 #: ../conflicts.py:172
 msgid "Call to external utility failed"
@@ -332,7 +332,7 @@
 
 #: ../conflicts.py:174
 msgid "Cannot resolve conflict"
-msgstr ""
+msgstr "Kan ikke løse konflikt"
 
 #: ../conflicts.py:175
 msgid ""
@@ -569,46 +569,6 @@
 msgid "Bazaar command error"
 msgstr ""
 
-#: ../nautilus-bzr.py:460
-msgid "File id:"
-msgstr ""
-
-#: ../nautilus-bzr.py:463
-msgid "SHA1Sum:"
-msgstr ""
-
-#: ../nautilus-bzr.py:469
-msgid "Last Change Revision:"
-msgstr ""
-
-#: ../nautilus-bzr.py:474
-msgid "Last Change Author:"
-msgstr ""
-
-#: ../nautilus-bzr.py:515
-msgid "Push location:"
-msgstr ""
-
-#: ../nautilus-bzr.py:518
-msgid "Parent location:"
-msgstr ""
-
-#: ../nautilus-bzr.py:521
-msgid "Bound location:"
-msgstr ""
-
-#: ../nautilus-bzr.py:524
-msgid "Public location:"
-msgstr ""
-
-#: ../nautilus-bzr.py:527
-msgid "Submit location:"
-msgstr ""
-
-#: ../nautilus-bzr.py:530
-msgid "Append revisions only"
-msgstr ""
-
 #. Create the widgets
 #: ../push.py:50
 msgid "Location:"

=== modified file 'po/de.po'
--- po/de.po	2011-12-02 05:55:20 +0000
+++ po/de.po	2012-01-01 05:55:28 +0000
@@ -8,34 +8,34 @@
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
 "POT-Creation-Date: 2011-12-01 11:46+0100\n"
-"PO-Revision-Date: 2011-11-30 22:58+0000\n"
-"Last-Translator: Jelmer Vernooij <Unknown>\n"
+"PO-Revision-Date: 2011-12-31 16:09+0000\n"
+"Last-Translator: Daniel Winzen <d@winzen4.de>\n"
 "Language-Team: German <de@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
-"X-Generator: Launchpad (build 14414)\n"
+"X-Launchpad-Export-Date: 2012-01-01 05:55+0000\n"
+"X-Generator: Launchpad (build 14560)\n"
 
 #: ../bazaar-properties.desktop.in.h:1
 msgid "Bazaar Preferences"
-msgstr ""
+msgstr "Bazaar-Einstellungen"
 
 #: ../bazaar-properties.desktop.in.h:2
 msgid "Configure Bazaar settings"
-msgstr ""
+msgstr "Bazaar-Einstellungen konfigurieren"
 
 #: ../bzr-handle-patch.desktop.in.h:1
 msgid "Apply Bazaar Bundle"
-msgstr ""
+msgstr "Bazaarpaket anwenden"
 
 #: ../bzr-handle-patch.desktop.in.h:2
 msgid "Bazaar"
-msgstr ""
+msgstr "Bazaar"
 
 #: ../bzr-notify.desktop.in.h:1
 msgid "Bazaar Notification"
-msgstr ""
+msgstr "Bazaar-Benachrichtigungen"
 
 #: ../bzr-notify.desktop.in.h:2
 msgid "Notification Area Icon for Bazaar"
@@ -154,7 +154,7 @@
 
 #: ../commit.py:388
 msgid "Files"
-msgstr ""
+msgstr "Dateien"
 
 #: ../commit.py:393
 msgid "Commit all changes"
@@ -672,11 +672,11 @@
 
 #: ../search.py:41
 msgid "Search for:"
-msgstr ""
+msgstr "Suche nach:"
 
 #: ../search.py:56
 msgid "Document"
-msgstr ""
+msgstr "Dokument"
 
 #: ../status.py:87
 msgid "Added"

=== modified file 'po/ja.po'
--- po/ja.po	2011-12-02 05:55:20 +0000
+++ po/ja.po	2012-02-12 05:08:39 +0000
@@ -8,18 +8,18 @@
 "Project-Id-Version: bzr-gtk\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
 "POT-Creation-Date: 2011-12-01 11:46+0100\n"
-"PO-Revision-Date: 2011-11-30 23:01+0000\n"
-"Last-Translator: Fumihito YOSHIDA <hito@kugutsu.org>\n"
+"PO-Revision-Date: 2012-02-11 12:20+0000\n"
+"Last-Translator: Koichi Akabe <vbkaisetsu@gmail.com>\n"
 "Language-Team: Japanese <ja@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
-"X-Generator: Launchpad (build 14414)\n"
+"X-Launchpad-Export-Date: 2012-02-12 05:08+0000\n"
+"X-Generator: Launchpad (build 14771)\n"
 
 #: ../bazaar-properties.desktop.in.h:1
 msgid "Bazaar Preferences"
-msgstr ""
+msgstr "Bazaar 設定"
 
 #: ../bazaar-properties.desktop.in.h:2
 msgid "Configure Bazaar settings"
@@ -31,11 +31,11 @@
 
 #: ../bzr-handle-patch.desktop.in.h:2
 msgid "Bazaar"
-msgstr ""
+msgstr "Bazaar"
 
 #: ../bzr-notify.desktop.in.h:1
 msgid "Bazaar Notification"
-msgstr ""
+msgstr "Bazaar 通知"
 
 #: ../bzr-notify.desktop.in.h:2
 msgid "Notification Area Icon for Bazaar"
@@ -142,7 +142,7 @@
 
 #: ../commit.py:276
 msgid "<b>Commit Message</b>"
-msgstr ""
+msgstr "<b>コミットメッセージ</b>"
 
 #: ../commit.py:329
 msgid "_Only commit locally"
@@ -158,11 +158,11 @@
 
 #: ../commit.py:393
 msgid "Commit all changes"
-msgstr ""
+msgstr "すべての変更をコミット"
 
 #: ../commit.py:399
 msgid "Only commit selected changes"
-msgstr ""
+msgstr "選択した変更のみコミット"
 
 #: ../commit.py:405
 msgid "Commit all changes*"
@@ -247,7 +247,7 @@
 
 #: ../commit.py:707
 msgid "You can describe your commit intent in the message."
-msgstr ""
+msgstr "コミット内容をメッセージで説明できます。"
 
 #: ../commit.py:727
 msgid "Commit with unknowns?"

=== modified file 'po/sv.po'
--- po/sv.po	2011-12-02 05:55:20 +0000
+++ po/sv.po	2012-02-22 06:51:43 +0000
@@ -8,14 +8,14 @@
 "Project-Id-Version: olive\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
 "POT-Creation-Date: 2011-12-01 11:46+0100\n"
-"PO-Revision-Date: 2011-11-30 22:59+0000\n"
-"Last-Translator: Daniel Nylander <yeager@ubuntu.com>\n"
+"PO-Revision-Date: 2012-02-21 16:04+0000\n"
+"Last-Translator: Rikard Edgren <Unknown>\n"
 "Language-Team: Swedish <sv@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Launchpad-Export-Date: 2011-12-02 05:55+0000\n"
-"X-Generator: Launchpad (build 14414)\n"
+"X-Launchpad-Export-Date: 2012-02-22 06:51+0000\n"
+"X-Generator: Launchpad (build 14838)\n"
 
 #: ../bazaar-properties.desktop.in.h:1
 msgid "Bazaar Preferences"
@@ -48,7 +48,7 @@
 
 #: ../branch.py:49 ../checkout.py:49
 msgid "Branch location:"
-msgstr ""
+msgstr "Grenens plats:"
 
 #: ../branch.py:51 ../checkout.py:50
 msgid "Destination:"
@@ -56,11 +56,11 @@
 
 #: ../branch.py:52
 msgid "Branck nick:"
-msgstr ""
+msgstr "Grenens kortnamn:"
 
 #: ../branch.py:53 ../checkout.py:52
 msgid "Revision:"
-msgstr "Revision:"
+msgstr "Version:"
 
 #: ../branch.py:54 ../checkout.py:47
 msgid "Please select a folder"
@@ -68,29 +68,29 @@
 
 #: ../branch.py:134 ../checkout.py:153
 msgid "Missing branch location"
-msgstr ""
+msgstr "Grenens plats saknas"
 
 #: ../branch.py:135 ../checkout.py:154
 msgid "You must specify a branch location."
-msgstr ""
+msgstr "Du måste ange en plats för grenen."
 
 #: ../branch.py:174
 msgid "Branching successful"
-msgstr "Grening lyckades"
+msgstr "Förgrening lyckades"
 
 #: ../branch.py:175
 #, python-format
 msgid "%d revision(s) branched."
-msgstr "%d revision(er) grenade."
+msgstr "%d version(er) förgrenade."
 
 #: ../branch.py:183 ../checkout.py:185
 msgid "N/A"
-msgstr ""
+msgstr "Inte tillgänglig"
 
 #. Create the widgets
 #: ../checkout.py:44
 msgid "Check_out"
-msgstr ""
+msgstr "Checka_ut"
 
 #: ../checkout.py:51
 msgid "Branch nick:"
@@ -98,15 +98,15 @@
 
 #: ../checkout.py:56
 msgid "_Lightweight checkout"
-msgstr ""
+msgstr "_Lätt utcheckning"
 
 #: ../commands.py:305
 msgid "Directory does not have a working tree"
-msgstr "Katalogen innehåller inte ett arbetsträd"
+msgstr "Katalogen innehåller inte något arbetsträd"
 
 #: ../commands.py:306
 msgid "Operation aborted."
-msgstr "Åtgärden avbruten."
+msgstr "Åtgärden avbröts."
 
 #: ../commands.py:410
 msgid "There are local changes in the branch"
@@ -130,7 +130,7 @@
 
 #: ../commit.py:181
 msgid "renamed and modified"
-msgstr ""
+msgstr "omdöpt och ändrad"
 
 #: ../commit.py:182
 msgid "modified"
@@ -268,39 +268,39 @@
 
 #: ../conflicts.py:45
 msgid "External utility:"
-msgstr ""
+msgstr "Externt verktyg:"
 
 #: ../conflicts.py:97
 msgid "Conflicts"
-msgstr ""
+msgstr "Konflikter"
 
 #: ../conflicts.py:100
 msgid "No conflicts in working tree."
-msgstr ""
+msgstr "Inga konflikter i arbetsträd."
 
 #: ../conflicts.py:114
 msgid "path conflict"
-msgstr ""
+msgstr "sökvägskonflikt"
 
 #: ../conflicts.py:116
 msgid "contents conflict"
-msgstr ""
+msgstr "innehållskonflikt"
 
 #: ../conflicts.py:118
 msgid "text conflict"
-msgstr ""
+msgstr "textkonflikt"
 
 #: ../conflicts.py:120
 msgid "duplicate id"
-msgstr ""
+msgstr "duplicera id"
 
 #: ../conflicts.py:122
 msgid "duplicate"
-msgstr ""
+msgstr "duplicera"
 
 #: ../conflicts.py:124
 msgid "parent loop"
-msgstr ""
+msgstr "överordnad loop"
 
 #: ../conflicts.py:126
 msgid "unversioned parent"
@@ -316,7 +316,7 @@
 
 #: ../conflicts.py:132
 msgid "unknown type of conflict"
-msgstr ""
+msgstr "okänd konflikttyp"
 
 #: ../conflicts.py:161
 msgid "No file was selected"
@@ -324,15 +324,15 @@
 
 #: ../conflicts.py:162
 msgid "Please select a file from the list."
-msgstr ""
+msgstr "Välj en fil från listan."
 
 #: ../conflicts.py:172
 msgid "Call to external utility failed"
-msgstr ""
+msgstr "Anrop till externt verktyg misslyckades"
 
 #: ../conflicts.py:174
 msgid "Cannot resolve conflict"
-msgstr ""
+msgstr "Kan inte lösa konflikt"
 
 #: ../conflicts.py:175
 msgid ""
@@ -353,16 +353,16 @@
 #. No conflicts found.
 #: ../diff.py:493 ../merge.py:144
 msgid "Merge successful"
-msgstr ""
+msgstr "Sammanslagningen lyckades"
 
 #: ../diff.py:494 ../merge.py:145
 msgid "All changes applied successfully."
-msgstr ""
+msgstr "Alla ändringar har aktiverats utan problem."
 
 #. There are conflicts to be resolved.
 #: ../diff.py:497 ../merge.py:148
 msgid "Conflicts encountered"
-msgstr ""
+msgstr "Konflikter uppkom."
 
 #: ../diff.py:498 ../merge.py:149
 msgid "Please resolve the conflicts manually before committing."
@@ -374,7 +374,7 @@
 
 #: ../errors.py:32
 msgid "You can perform this action only in a branch."
-msgstr ""
+msgstr "Du kan endast genomföra denna operation i en gren."
 
 #: ../errors.py:34
 msgid "Directory is not a checkout"
@@ -417,6 +417,8 @@
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
+"Det finns okända filer i arbetsträdet.\n"
+"Lägg till eller radera dem."
 
 #: ../errors.py:49
 msgid "Bound branch is out of date"
@@ -448,7 +450,7 @@
 
 #: ../errors.py:59
 msgid "No diff output"
-msgstr ""
+msgstr "Ingen utdata från diff"
 
 #: ../errors.py:60
 msgid "The selected file hasn't changed."
@@ -456,7 +458,7 @@
 
 #: ../errors.py:62
 msgid "No such revision"
-msgstr ""
+msgstr "Ingen sådan version"
 
 #: ../errors.py:63
 msgid "The revision you specified doesn't exist."
@@ -468,7 +470,7 @@
 
 #: ../errors.py:66
 msgid "Target directory already exists. Please select another target."
-msgstr ""
+msgstr "Målkatalogen existerar redan. Välj ett annat mål."
 
 #: ../errors.py:68
 msgid "Directory is already a branch"
@@ -480,10 +482,12 @@
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
+"Den aktuella katalogen (%s) är redan en gren.\n"
+"Du kan börja använda den, eller initiera en ny katalog."
 
 #: ../errors.py:71
 msgid "Branch without a working tree"
-msgstr ""
+msgstr "Gren utan arbetsträd"
 
 #: ../errors.py:72
 #, python-format
@@ -491,10 +495,12 @@
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
+"Den nuvarande katalogen (%s)\n"
+"är en gren utan arbetsträd."
 
 #: ../errors.py:74
 msgid "Unknown bzr error"
-msgstr ""
+msgstr "Okänt bzr-fel"
 
 #: ../errors.py:76
 msgid "Permission denied"
@@ -502,7 +508,7 @@
 
 #: ../errors.py:76
 msgid "permission denied."
-msgstr ""
+msgstr "åtkomst nekad."
 
 #: ../errors.py:78
 msgid "Unknown error"
@@ -515,23 +521,23 @@
 
 #: ../initialize.py:47
 msgid "Which directory do you want to initialize?"
-msgstr ""
+msgstr "Vilken mapp vill du initalisera?"
 
 #: ../initialize.py:49
 msgid "Current directory"
-msgstr ""
+msgstr "Nuvarande katalog"
 
 #: ../initialize.py:51
 msgid "Create a new directory with the name:"
-msgstr ""
+msgstr "Skapa en ny katalog med namnet:"
 
 #: ../initialize.py:87
 msgid "Directory name not specified"
-msgstr ""
+msgstr "Katalognamn ej specificerat"
 
 #: ../initialize.py:88
 msgid "You should specify a new directory name."
-msgstr ""
+msgstr "Du bör specificera ett nytt katalognamn."
 
 #: ../loom.py:49
 msgid "Upgrade to Loom branch?"
@@ -563,11 +569,11 @@
 
 #: ../merge.py:131
 msgid "Please specify a branch to merge from."
-msgstr ""
+msgstr "Ange en gren att slå samman med."
 
 #: ../merge.py:139
 msgid "Bazaar command error"
-msgstr ""
+msgstr "Bazaar kommando-fel"
 
 #: ../nautilus-bzr.py:460
 msgid "File id:"
@@ -635,7 +641,7 @@
 
 #: ../push.py:141
 msgid "Non existing parent directory"
-msgstr ""
+msgstr "Ingen existerande överordnad katalog"
 
 #: ../push.py:142
 #, python-format
@@ -684,23 +690,23 @@
 #. Set properties
 #: ../tags.py:60
 msgid "Tags"
-msgstr ""
+msgstr "Etiketter"
 
 #: ../tags.py:110
 msgid "Tag Name"
-msgstr ""
+msgstr "Etikett-namn"
 
 #: ../tags.py:115
 msgid "Revision ID"
-msgstr ""
+msgstr "Versions-ID"
 
 #: ../tags.py:148
 msgid "Tags are not supported by this branch format. Please upgrade."
-msgstr ""
+msgstr "Etiketter stöds ej i detta gren-format. Vänligen uppgradera."
 
 #: ../tags.py:154
 msgid "No tagged revisions in the branch."
-msgstr ""
+msgstr "Inga versioner med etiketter i denna gren."
 
 #: ../tags.py:222
 msgid "_Remove tag"
@@ -726,7 +732,7 @@
 
 #: ../tags.py:281
 msgid "Revision ID:"
-msgstr ""
+msgstr "Versions-ID:"
 
 #: ../tags.py:312
 msgid "No tag name specified"

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2012-02-09 04:11:54 +0000
+++ viz/branchwin.py	2012-03-01 21:29:00 +0000
@@ -478,7 +478,10 @@
         else:
             parent_id = parents[0]
 
-        self.show_diff(revision.revision_id, parent_id)
+        if revision is not None:
+            self.show_diff(revision.revision_id, parent_id)
+        else:
+            self.show_diff(NULL_REVISION)
         self.treeview.grab_focus()
 
     def _back_clicked_cb(self, *args):
@@ -654,7 +657,7 @@
             return width, height
         return None
 
-    def show_diff(self, revid=None, parentid=NULL_REVISION):
+    def show_diff(self, revid, parentid=NULL_REVISION):
         """Open a new window to show a diff between the given revisions."""
         from bzrlib.plugins.gtk.diff import DiffWindow
         window = DiffWindow(parent=self)

